apt-get  //  Wednesday, October 29, 2008

Please note, there are some things that you should avoid, namely the following type of command:

for N in `seq 2 8`; do
ssh grid$N apt-get -u dselect-upgrade ;
done


Especially if there are any configuration options that require interaction, say in the case of the Sun JDK. If you do this, apt will complain, and leave your package unconfigured. Make sure you go back through your nodes and configure them, or you will have a crippled system.

Also, for future reference, it might be a good idea to do something like:
apt-get -u dselect-upgrade -y -q


-CF

posted by Christian @ 6:41 AM
0 Comments

Site Design Copyright © 2008 Christian Funkhouser

Site used in accordance with the Elon University Web Policy.

Make note of this disclaimer.